routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('lang/{lang}', ['as' => 'lang.switch', 'uses' => 'LanguageController@switchLang']);

Route::get('/barcode', function() {
	return view('admin.barcode');
});
Route::get('/', 'Admin\AdminLoginController@index');
Route::post('/admin/login', 'Admin\AdminLoginController@attemptLogin');
Route::resource('/forgot-password', 'Admin\ForgotPasswordController');
Route::any('send-email', 'Admin\ForgotPasswordController@sendEmail');
Route::get('password-reset/{token}', 'Admin\ForgotPasswordController@resetPassword');
Route::any('resetPassword', 'Admin\ForgotPasswordController@resetAdminPassword');
Route::post('/states/country', 'Admin\StateController@getStatesByCountry')->name('states.country');

#Admin authenticated route
Route::group(['middleware' => ['admin'], 'prefix'=>'admin', 'namespace' => 'Admin'], function() {
	Route::get('/dashboard', 'AdminDashboardController@index')->name('admin.dashboard');
	Route::get('/my-profile', 'AdminLoginController@editProfile')->name('admin.my.profile');
	Route::post('/my/profile/{id}', 'AdminLoginController@updateProfile')->name('admin.myprofile');
	Route::get('/logout', 'AdminLoginController@logout');

	#Country Routes
	Route::resource('/countries', 'CountryController');
	Route::post('/countries/status-update', 'CountryController@countryEnableDisabled')->name('countries.status');

	# currency Routes
	Route::resource('/currencies', 'CurrencyController');
	Route::post('/currencies/status-update', 'CurrencyController@currencyEnableDisabled')->name('currencies.status');

	#State Routes
	Route::resource('/states', 'StateController');
	Route::post('/states/status-update', 'StateController@stateEnableDisabled')->name('states.status');

	#User Routes
	Route::resource('/users', 'UserController');
	Route::post('/users/status-update', 'UserController@userEnableDisabled')->name('users.status');

	#Brand Routes
	Route::resource('/brands', 'BrandController');
	Route::post('/brands/status-update', 'BrandController@brandEnableDisabled')->name('brands.status');

	#Color Routes
	Route::resource('/colors', 'ColorController');
	Route::post('/colors/status-update', 'ColorController@colorEnableDisabled')->name('colors.status');

	#Models Routes
	Route::resource('/models', 'ModalController');
	Route::post('/models/status-update', 'ModalController@modelEnableDisabled')->name('models.status');

	#Company Routes
	Route::resource('/company', 'CompanyController');
	Route::post('/company/status-update', 'CompanyController@companyEnableDisabled')->name('company.status');
	Route::post('/company/email-check', 'CompanyController@emailCheck')->name('company.email-check');
	Route::get('/company-parking/{parkingId}/details', 'CompanyController@showCompanyParkingSpace')->name('company-parkings.show-details');
	// Route::resource('/company-parking', 'CompanyParkingController');
	// Route::get('/company-parking/{id}/add', 'CompanyParkingController@addParking')->name('company-parking.add');

	#Washer Routes
	Route::resource('/washer', 'WasherManController');
	Route::post('/washer/email-check', 'WasherManController@emailCheck')->name('washer.email-check');
	Route::post('/washer/mobile-check', 'WasherManController@mobileCheck')->name('washer.mobile-check');
	Route::post('/washer/status-update', 'WasherManController@washerEnableDisabled')->name('washer.status');
	Route::resource('/washer-company-allot', 'WasherCompanyAllotController');

	# credential generate
	Route::get('company/{id}/generate-credential', 'CompanyController@generateCompanyCredential')->name('company.generate-credential');
	Route::post('company/{id}/generate-credential', 'CompanyController@generateCredential')->name('company.generate-credential');
	
	#Discount Routes
	Route::resource('discount', 'DiscountController');
	Route::any('fetchCompanyId', 'DiscountController@fetchCompanyId');
	Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
	Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('discount.status');

	#Promocodes Routes
	Route::resource('promocode', 'PromocodeController');
	// Route::any('promocode/fetchCompanyId', 'PromocodeController@fetchCompanyId');
	Route::any('openPromocodeUpdate', 'PromocodeController@openPromocodeUpdate');
	Route::post('/promocode/status-update', 'PromocodeController@statusUpdate')->name('promocode.status');

	# popularspace Routes
	Route::resource('popular-places', 'PopularPlaceController');

	#Routes for Commission
	Route::resource('commission', 'CommissionController');
	Route::any('OpenEditCommission', 'CommissionController@OpenEditCommission');
});

Route::group(['prefix' => 'company', 'namespace' => 'Company'], function() {
	Route::get('/', 'CompanyLoginController@index')->name('company.login');
	Route::post('/login', 'CompanyLoginController@attemptLogin')->name('company.attempt.login');
	Route::get('/forgot-password', 'ForgotPasswordController@index')->name('company.forgot-password.index');
	Route::any('send-email', 'ForgotPasswordController@sendEmail')->name('company.send-email');
	Route::get('password-reset/{token}', 'ForgotPasswordController@resetPassword');
	Route::any('resetPassword', 'ForgotPasswordController@resetCompanyPassword');

	Route::group(['middleware' => 'company'], function() {
		Route::get('/logout', 'CompanyLoginController@logout')->name('company.logout');
		Route::get('dashboard', 'DashboardController@index')->name('company.dashboard.index');

		# Company Parking Route
		Route::resource('company-parkings', 'CompanyParkingController');
		Route::post('/parking/status-update', 'CompanyParkingController@companyParkingEnableDisabled')->name('company-parking.status');

		# Company Discount Route
		Route::resource('company-discount', 'DiscountController');
		Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
		Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('company-discount.status');

		# Company Promocode Route
		Route::resource('company-promocodes', 'PromoCodeController');
		Route::any('promocode/{id}/openDiscounUpdate', 'PromoCodeController@openPromocodeUpdate')->name('promocode.openPromocodeUpdate');
		Route::post('/promocode/status-update', 'PromoCodeController@statusUpdate')->name('company-promocode.status');

		# Event Routes
		Route::resource('events', 'EventController');
		Route::post('/events/status-update', 'EventController@eventEnableDisabled')->name('events.status');

		# Employee Routes
		Route::resource('/employees', 'EmployeeController');
		Route::post('/employees/email-check', 'EmployeeController@emailCheck')->name('employees.email-check');
		Route::post('/employees/mobile-check', 'EmployeeController@mobileCheck')->name('employees.mobile-check');
		Route::post('/employees/status-update', 'EmployeeController@employeeEnableDisabled')->name('employees.status');
		Route::get('/employees/{id}/parking-allot', 'EmployeeController@employeeParkingAllot')->name('employees.parking-allot');
		Route::post('/employees/{id}/parking-allocate', 'EmployeeController@employeeParkingAllocate')->name('employees.parking-allocate');

		# Company parking Space Route
		Route::get('company-parkings/{parking_id}/parking-space', 'CompanyParkingController@createSpaceOfParking')->name('parking-space.create');
		Route::post('parking-space/set-up-space', 'CompanyParkingController@setUpSpace')->name('parking-space.setup-space');
		Route::post('parking-space/space-description', 'CompanyParkingController@spaceDescription')->name('parking.space-description');
		Route::post('parking-space/space-feature', 'CompanyParkingController@parkingFeature')->name('parking.space-feature');
		Route::post('parking-space/mark-out-space', 'CompanyParkingController@markOutSpace')->name('parking-space.mark-out-space');
		Route::post('parking-space/payout-setting', 'CompanyParkingController@payoutSetting')->name('parking-space.payout-setting');
		Route::post('parking-space/advance-space-setting', 'CompanyParkingController@advanceSpaceSetting')->name('parking-space.advance-space-setting');
		Route::post('parking-space/parking-driver-feature', 'CompanyParkingController@parkingDriverFeature')->name('parking-space.parking-driver-feature');
		Route::post('parking-space/parking-washer-feature', 'CompanyParkingController@parkingWasherFeature')->name('parking-space.parking-washer-feature');
		Route::post('parking-space/parking-booking-feature', 'CompanyParkingController@parkingBookingFeature')->name('parking-space.parking-booking-feature');
		Route::post('parking-space/parking-subscription-feature', 'CompanyParkingController@parkingSubscriptionFeature')->name('parking-space.parking-subscription-feature');

		#Booking management Routes
		Route::resource('onGoingbooking', 'BookingController');
		Route::get('/onGoingbooking/show/{id}/{type}','BookingController@show')->name('onGoingbooking.show');
		Route::post('/onGoingbooking/export','BookingController@exportdata')->name('onGoingbooking.export');
	});
});

app/Http/Controllers/Api/User/EventController.php
<?php

namespace App\Http\Controllers\Api\User;

use DB;
use Log;
use Auth;
use Config;
use Validator;
use Carbon\Carbon;
 use App\Utils\CommonUtil;

# Models
use App\Models\User;
use App\Models\Event;
use App\Models\CompanyParking;
use App\Models\UserSearchPlace;
use App\Models\ParkingSetupSpace;

# Interface
use App\Interfaces\ApiStatusInterface;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Hash;

class EventController extends Controller implements ApiStatusInterface
{

    # Variable $user
    protected $user;

    # Variable $event
    protected $event;

    # Variable $companyParking
    protected $companyParking;

    # Variable $userSearchPlace
    protected $userSearchPlace;

    # Variable $parkingSpace
    protected $parkingSpace; 
    
    # Bind the util 
    protected $commonUtil;
    
	/**
	 * @method constructor for Controller
	 * @param 
	 * @return 
	 */
	public function __construct(
        User $user, Event $event, CompanyParking $companyParking,
        ParkingSetupSpace $parkingSpace, UserSearchPlace $userSearchPlace,
        CommonUtil $commonUtil)
	{
		$this->user               = $user;
        $this->event              = $event;
        $this->commonUtil         = $commonUtil;
        $this->parkingSpace       = $parkingSpace;
        $this->companyParking     = $companyParking;
        $this->userSearchPlace    = $userSearchPlace;
	}

    /**
     * @method to save search Place of User
     * @return json
     * @param Request $request
     */
    public function fetchEvents(Request $request)
    {
        #FEtch User
        $user = Auth::user();

        #validate User
        if($user == '') {
            return response()->json([
                'statusCode'    =>  ApiStatusInterface::OK, 
                'message'       => 'User not found.',
                'success'       => false,
                'data'          => null
            ]);
        }

        #Set relations
        $relations = [
            'nearParkings.parking.parkingMarkOut',
            'nearParkings.parking.parkingSetupSpace.images',
            'nearParkings.parking.parkingDescription',
            'nearParkings.parking.parkingWasherFeatures',
        ];

        #Fetch all Events
        $events = $this->event->with($relations)->where('status', 1)->get();
        
        #Validate Events
        if($events->isEmpty()) {
            return response()->json([
                'statusCode'    =>  ApiStatusInterface::OK, 
                'message'       => 'No Event found.',
                'success'       => false,
                'data'          => null
            ]);
        }

        #Validate Event
        $events = $events->filter(function($event) {
            $startDate = Carbon::parse($event->start_date);
            $endDate = Carbon::parse($event->end_date);
            if($endDate->gte(Carbon::now())) {
                return $event;
            }
        });

        #Validate Events
        if($events->isEmpty()) {
            return response()->json([
                'statusCode'    =>  ApiStatusInterface::OK, 
                'message'       => 'No Event found.',
                'success'       => false,
                'data'          => null
            ]);
        }

        #Set Data
        $eventFullData = [];
        foreach ($events as $key => $event) {
            $eventData = [
                'id'            => $event->id ?? '',
                'name'          => $event->name ?? '',
                'location'      => $event->location ?? '',
                'latitude'      => $event->latitude ?? '',
                'longitude'     => $event->longitude ?? '',
                'start_time'    => $event->start_time_formatted ?? '',
                'end_time'      => $event->end_time_formatted ?? '',
            ];

            #Fetch Parking of Event
            $parkingsOnEvent = $event->nearParkings;

            $parkingDataOnEvent = [];
            if($parkingsOnEvent->isNotEmpty()) {
                foreach ($parkingsOnEvent as $key => $parkingOnEvent) {
                    #parking Data
                    $parking            = $parkingOnEvent->parking;
                    $parkingMarkout     = $parking->parkingMarkOut;
                    $parkingSpace       = $parking->parkingSetupSpace;
                    $parkingDescription = $parking->parkingDescription;

                    #Set Parking Data
                    $parkingData = [
                        'id'                        => $parking->id ?? '',
                        'name'                      => $parking->name ?? '',
                        'image'                     => $parking->image_full_path ?? '',
                        'before_you_go'             => $parkingMarkout ? $parkingMarkout->special_access_instructions : '',
                        'about_extended_time'       => $parkingMarkout ? $parkingMarkout->about_extended_time : '',
                        'location'                  => $parkingSpace ? $parkingSpace->location  :'',
                        'latitude'                  => $parkingSpace ? $parkingSpace->latitude  :'',
                        'longitude'                 => $parkingSpace ? $parkingSpace->longitude : '',
                        'about_parking'             => $parkingDescription ? $parkingDescription->description : '',
                        'amenities'                 => $parkingDescription ? $parkingDescription->all_amenities : '',
                        'book_price'                => $parkingMarkout ? $parkingMarkout->set_book_price : '0',
                        'valet_price'               => $parkingOnEvent ? $parkingMarkout->set_valet_price : '0',
                        'valet_and_wash_price'      => $parkingMarkout ? $parkingMarkout->set_valet_and_washing_price : '0',
                        'payment_methods_avail'     => $parkingMarkout ? $parkingMarkout->all_payment_methods : [],
                        'washing_cost'              => $parking->washing_cost,
                        'vehicle_types'             => $parking->vehicles_can_parked,
                    ];

                    #Push Data
                    array_push($parkingDataOnEvent, $parkingData);
                }
            }
            #dd($parkingDataOnEvent);
            #Push Data
            $eventData['parkings'] = $parkingDataOnEvent;
            array_push($eventFullData, $eventData);
        }
       
        #Paginate array
        $eventData = $this->commonUtil
                          ->paginate($eventFullData, 5, url()->current());

        #return json
        return response()->json([
            'statusCode'    =>  ApiStatusInterface::OK, 
            'message'       => 'Event found.',
            'success'       => true,
            'data'          => $eventData
        ]);
    }
}

app/Http/Controllers/Company/DashboardController.php
<?php

namespace App\Http\Controllers\Company;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class DashboardController extends Controller
{
    # Base View
    protected $view = "company.dashboard.";

    /**
    * @method constructor for Controller
    * @return 
    * @param
    */
    public function __construct()
    {
        # code...
    }

    /**
    * @method index for class
    * @param
    * @return to view
    */
    public function index()
    {
        # return view
        return view($this->view.'index');
    }
}

resources/views/company/event/create.blade.php
@extends('company.layouts.main-layout')
@section('content')

<div class="content-wrapper">
  <div class="page-header">
    <h3 class="page-title">
      <span class="page-title-icon bg-gradient-primary text-white mr-2">
        <i class="mdi mdi-home-modern"></i>
      </span> Add Event
    </h3>
  </div>

  <form method="post" action="{{ route('events.store') }}">
    <div class="row">
      @csrf
      <div class="col-md-12 stretch-card grid-margin">
        <div class="card card-img-holder">
          <div class="card-body">
            <div class="row">
              <div class="col-md-12">
                <div class="form-group">
                  <label>Event Name</label>
                  <input type="text" name="name" id="name" class="form-control" placeholder="Event Name"/>
                  <span class="text-danger">{{ $errors->first('name') }}</span>

                </div>
              </div>

              <div class="col-md-12">
                <div class="form-group">
                  <label>Location</label>
                  <textarea class="form-control" name="location" rows="6" cols="4" placeholder="Location"></textarea>
                  <span class="text-danger">{{ $errors->first('location') }}</span>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label>Start Date</label>
                  <input type="text" name="start_date" id="start_date" autocomplete="off" class="form-control" placeholder="Start Date"/>
                  <span class="text-danger">{{ $errors->first('start_date') }}</span>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label>End Date</label>
                  <input type="text" name="end_date" id="end_date" autocomplete="off" class="form-control" placeholder="End Date"/>
                  <span class="text-danger">{{ $errors->first('end_date') }}</span>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label>Start Time</label>
                  <input type="text" autocomplete="off" name="start_time" id="start_time" class="form-control timepicker-time" placeholder="Start Time"/>
                  <span class="text-danger">{{ $errors->first('start_time') }}</span>
                </div>
              </div>

              <div class="col-md-3">
                <div class="form-group">
                  <label>End Time</label>
                  <input type="text" autocomplete="off" name="end_time" id="end_time" class="form-control timepicker-time" placeholder="End Time"/>
                  <span class="text-danger">{{ $errors->first('end_time') }}</span>
                </div>
              </div>

            </div>
          </div>
        </div>
      </div>
    </div>

    <h3>Add Parking That Are Near Event Location</h3>
    <div class="row">
      @if($company->companyParking->isNotEmpty())
        @foreach($company->companyParking as $key => $companyParking)
          <div class="col-md-12 stretch-card grid-margin">
            <div class="card card-img-holder">
              <div class="card-body">
                <div class="row">
                  <div class="col-3">
                    <h5>{{ $companyParking->name ?? '' }}</h5>
                    <br><br>
                    <h5>Parking Slots : <br> </h5>
                    <p class="text-danger">
                      {{ ($companyParking->parkingSetupSpace) ? $companyParking->parkingSetupSpace->total_slot : 0 }} SLOT
                    </p>
                  </div>

                  <div class="col-3">
                    <h5>Location</h5>
                    <br>
                    <p>
                      {{ ($companyParking->parkingSetupSpace) ? $companyParking->parkingSetupSpace->location : '' }}
                      {{ ($companyParking->parkingSetupSpace) ? $companyParking->parkingSetupSpace->pincode : '' }}
                    </p>
                    <input type="number" class="form-control" name="parking_place[{{$key}}][valet_price]" placeholder="Valet Price">
                  </div>

                  <div class="col-3">
                    @php
                      $parkingFeatures  = !empty($companyParking->parkingFeature) ? json_decode($companyParking->parkingFeature->selected_feature) : [];
                    @endphp

                    <div class="row">
                      @foreach($parkingFeatures as $parkingFeature)
                        <div class="col-md-12 mb-2">{{ $parkingFeature }}</div>
                      @endforeach
                    </div>
                  </div>

                  <div class="col-3">
                    <input type="checkbox" name="parking_place[{{$key}}][popular_place_id]" class="form-control" value="{{ $companyParking->id ?? '' }}">
                  </div>
                </div>

              </div>
            </div>
          </div>
        @endforeach
      @else
        <div class="col-md-12">
          <h2>No Parking Space Available on company</h2>
        </div>
      @endif
      <div class="ml-4 text-center">
        <input type="submit" class="btn btn-gradient-success" value="Add & Save">
      </div>
    </div>
  </form>
</div>

@stop

@section('js-content')

  <script type="text/javascript">

    $(document).ready(function(){

      $("#start_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#end_date').datepicker('setStartDate', startDate);
      });
        
      $("#end_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#start_date').datepicker('setEndDate', startDate);
      });

      
    })

  </script>
@stop

resources/views/company/event/index.blade.php
@extends('company.layouts.main-layout')
@section('content')

<div class="content-wrapper">
  <div class="page-header">
    <h3 class="page-title">
      <span class="page-title-icon bg-gradient-primary text-white mr-2">
        <i class="mdi mdi-home-modern"></i>
      </span> Event Management 
    </h3>
  </div>
  <form method="get" action="{{ route('events.index') }}">
    <div class="row gutter-sm">

      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" class="form-control" autocomplete="off" value="{{ $fromDate ?? ''}}" name="start_date" placeholder="From Date" id="start_date" />
      </div>

      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" class="form-control" autocomplete="off" name="end_date" value="{{ $todate ?? '' }}" placeholder="To Date" id="end_date" />
      </div>

      
      <div class="col-12 col-sm-9 col-md-12 col-lg-6 form-group">
        <button type="submit" class="btn btn-md btn-gradient-success"><i class="mdi mdi-file-excel"></i> Filter</button>
        <a href="{{ route('events.create') }}" class="btn btn-md btn-gradient-success">ADD </a>
      </div>
    </div>
  </form>

  <div class="row">
    <div class="col-md-12 stretch-card grid-margin">
      <div class="card card-img-holder">
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped datatable-event">
              <thead>
                <th>Event ID</th>
                <th>Event Name</th>
                <th>Event Location</th>
                <th>Parkings (Near That Location)</th>
                <th>Start Date</th>
                <th>End Date</th>
                <th>Start Time</th>
                <th>End Time</th>
                <th>Action</th>
              </thead>
              <tbody>
                @foreach($events as $event)
                  <tr>
                    <td>{{ $event->event_auto_id ?? '' }}</td>
                    <td>{{ $event->name ?? '' }}</td>
                    <td>{{ $event->location ?? '' }}</td>
                    <td>
                      @if(!empty($event->eventPopularPlaces))
                        {{ $event->eventPopularPlaces->count() ?? 0 }}
                      @endif                    
                    </td>
                    <td>{{ $event->start_date ?? '' }}</td>
                    <td>{{ $event->end_date ?? '' }}</td>
                    <td>{{ date('h:i a', strtotime($event->start_time)) }}</td>
                    <td>{{ date('h:i a', strtotime($event->end_time)) }}</td>
                    <td>
                      <a href="{{ route('events.edit', [$event->id ?? '']) }}" class="btn btn-gradient-success btn-sm"><i class="mdi mdi-pencil"></i></a>
                      
                      <a href="{{ route('events.show', [$event->id ?? '']) }}" class="btn btn-gradient-success btn-sm"><i class="mdi mdi-eye"></i></a>

                      <label class="togglebox toggleStatus ml-1" data-event-id="{{ $event->id ?? ''}}">
                        <input type="checkbox" @if($event->status == 1) checked="checked" @endif name="block_unblock" hidden=""/>
                        <span class="label-text"></span>
                      </label>

                    </td>
                  </tr>
                @endforeach
              </tbody>
            </table>
          {{ $events->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

@stop

@section('js-content')

  <script type="text/javascript">

    $('.datatable-event').DataTable({
          // paging: true,
          // destroy: true,
          // searching: false,
          // lengthChange: true,
          // pageLength: 10,
          // info: true, 
          dom: 'Bfrtip',
          buttons: [
           {
              extend: 'copy',
              exportOptions: {
                columns: [0,1,2,3,4,5,6]
              }
           },
           {
              extend: 'csv',
              exportOptions: {
                columns: [0,1,2,3,4,5,6]
              }
           },
           {
              extend: 'excel',
              exportOptions: {
                columns: [0,1,2,3,4,5,6]
              }
           },
           {
              extend: 'print',
              exportOptions: {
                columns: [0,1,2,3,4,5,6]
              }
           }
          ]
     });

    $(document).ready(function(){

      $("#start_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#end_date').datepicker('setStartDate', startDate);
      });
        
      $("#end_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#start_date').datepicker('setEndDate', startDate);
        });
    })

    $(document).on('change', 'label.toggleStatus', function() {
      var eventId = $(this).data('event-id')

      $.ajax({
        method: 'POST',
        url: "{{ route('events.status') }}",
        data: {event_id: eventId},
        dataType: 'json',
        success: function(response) {
          if (response.status == 200) {
            swal(response.success_message)
          }
        }
      })
    })
  </script>
@stop